System.ServiceModel 4.0.0.0 System.Object

Metadata export is the process of describing service endpoints and projecting them into a parallel, standardized representation (typically, but not necessarily XML) that applications can access to implement a client that uses the service. To export metadata from objects, use an implementation of the abstract class. A implementation generates metadata that is encapsulated in a instance.

The class provides a framework for generating policy expressions that describe the capabilities and requirements of an endpoint binding and its associated operations, messages and faults. These policy expressions are captured in a instance. A implementation can then attach these policy expressions to the metadata it generates.

The calls into each that implements the interface in the binding of a when generating a object for the implementation to use. You can export new policy assertions by implementing the interface on your custom implementations of the type.

The type is the implementation of the class included with indigo1. The type generates WSDL metadata with attached policy expressions.

To export custom WSDL metadata or WSDL extensions for endpoint behaviors, contract behaviors or binding elements in a service endpoint, you can implement the interface. The type calls into parts of a service endpoint that implement this interface when generating the WSDL document from that endpoint.

Exports service description information into metadata.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.MetadataConversionError> To be added.

  This property is populated with errors that occurred during the metadata export process. Users of derived classes should check the property prior to using the exported metadata.

  Gets a collection of errors that occurred during metadata export.

- Method
  4.0.0.0
  System.Void ``

  Override and implement to convert a contract description into metadata.

  When overridden in a derived class, exports a contract description into metadata.

  The contract to export.
- Method
  4.0.0.0
  System.Void ``

  Override and implement to convert a contract description into metadata.

  When overridden in a derived class, converts an endpoint into metadata.

  The endpoint to convert.
- Method
  4.0.0.0
  System.ServiceModel.Description.PolicyConversionContext `` To be added.

  Converts policy assertions into a object.

  An object that contains policy assertion information for the endpoint. The policy assertions can then be embedded in a metadata document.

  The endpoint from which to extract policy assertions.
- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet

  Use the method to retrieve the metadata generated from earlier calls. Check the property prior to retrieving the metadata to ensure that you have the metadata you want.

  When overridden in a derived class, returns the metadata generated by a call to either , , or .

  An enumerable collection of objects that contain the exported metadata.

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Object,System.Object> To be added.

  Use the State property to pass a state data required to successfully export endpoints or contracts.

  Gets a dictionary of objects used in the export of metadata.